biuro@zwcad.pl

entlast

Wyszukaj w słowniku

Dostępne słowniki:

Termin Definicja
entlast

Zwraca ostatni obiekt utworzony w rysunku.

Jeśli jedno polecenie ZWCADa tworzy wiele obiektów np MEASURE możemy odczytać wszyskie wykorzystując entlast przed uruchomieniem polecenia, a następnie wykorzystać funkcję entnext by wybrać kolejne utworzone elementy.

przykład:

(defun C:testEntLast (  / )
    
  (command "_spline" (list  93.0 236.0 0.0 ) (list 100.0 240.0 0.0 ) (list 110.0 250.0 0.0 ) (list 122.0 230.0 0.0 ) (list 150.0 230.0 0.0 ) (list 160.0 250.0 0.0 ) (list 165.0 245.0 0.0 ) (list 180.0 245.0 0.0 )
  "" "" "" )
  (setq spline (entlast ) )
   

   
  (setvar 'PDMODE 35)
  (command "_measure" (ssget ) 5.0 )
 
  (setq ostatni spline )
  ( while (setq punkt ( entnext ostatni) )
    (print (cdr (assoc 10 (entget punkt ) ) ))
    (setq ostatni punkt )
  )
  ( princ )
)